enum WeekDays
{
SATURDAY=0x07,
SUNDAY=0x01,
MONDAY=0x02,
TUESDAY=0x03,
WEDNESDAY=0x04,
THURSDAY=0x05,
FRIDAY=0x06
};

enum TimeMode{Mode12Hour=1,Mode24Hour=2};

void UpdateLocalTime();
void SetLocalTime(char Hour, char Minute, char WeekDay, char Date, char Month, char Year);
char* GetLocalTime(enum TimeMode Mode);
char* GetLocalDate();
void InitTime();


struct TimeStruct
{
  char FormatedTime[9];
  char FormatedDate[9];
  void (*SetTime)(char Hour, char Minute, char WeekDay, char Date, char Month, char Year);
  char* (*GetTime)(enum TimeMode Mode);
  char* (*GetDate)();
  void (*Update)();
  void (*Init)();
}Time={{'\0'},{'\0'},&SetLocalTime,&GetLocalTime,&GetLocalDate,&UpdateLocalTime,&InitTime};

#include "Time.c"

